#!/bin/sh -e

while true; do
    ret=0
    # Check routability of link-local traffic to determine if the network is up
    ip route get 169.254.169.254 >/dev/null 2>&1 || ret=$?
    if [ "$ret" -eq 0 ]; then
        break
    fi
    echo "Network unreachable, retrying in 10 seconds..."
    sleep 10
done

exec /opt/Elastic/universal-profiling/pf-host-agent/pf-host-agent
